Отказ в обслуживании в KDE Konqueror

Дата публикации:
28.10.2008
Всего просмотров:
1598
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
KDE 3.x
Уязвимые версии: KDE 3.5.10 и более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании.

Уязвимость существует из-за того, что KHTML некорректно обрабатывает JavaScript вызовы к "document.load()", относящихся к текущему документу. Злоумышленник может спровоцировать использование удаленного объекта в методе "HTMLTokenizer::scriptHandler()" и вызвать отказ в обслуживании приложения. Потенциально, существует возможность выполнения произвольного кода.

URL производителя: kde.org

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Konqueror 3.5.9 (load) Remote Crash PoC

или введите имя

CAPTCHA